V1 Submit a Rate Lock Request

Use this API to create a new rate lock request if you are a Loan Officer.

If you are a Secondary user, use this API to perform an action on an existing rate lock request for a specified loan, or submit and confirm a new rate lock request for the loan. You can also apply a loan program through while submitting a lock request. Possible actions for a Secondary user include:

  • confirm: Creates and confirms a new rate lock. extend: Extends the confirmed and current rate lock. This creates a new rate lock.
  • relock: Re-locks the confirmed rate lock. This creates a new rate lock. If the re-lock is performed on an active lock, it is treated as a Lock Update. If the re-lock is performed on an expired or cancelled lock, it is treated as a Relock. revise: Revise or update the buy-side and sell-side of an active rate lock. This creates a new rate lock. cancel: Cancels a confirmed rate lock request.
  • sellComparisonUpdate: Updates only the sell side and comparison side of a rate lock and creates a new rate lock without changing anything on the lock request or buy side.

Usage Notes

  • If ICE PPE is the product and pricing engine used for the loan and the Auto Lock and Confirm settings are enabled for Create Lock requests in Encompass Settings, the lock is automatically locked.
  • If the Lock Desk is enabled, the request is sent to the Lock Desk.
  • If the Lock Desk is not enabled, the request will remain in "requested" state until it is confirmed or denied by a user who is assigned the Secondary Registration persona.

📘

If a lock extension expires on a Saturday, Sunday, or holiday, the expiration date is automatically adjusted to the next business day as determined on the Company Calendar in the Compliance Calendar setting under Loan Setup in the Encompass settings. The Re-Lock option is available when there is an existing lock on the loan (lock can be in current, expired or cancelled state). The lock expiration date will not change from the original lock.

Path Params
string
required

The unique identifier assigned to the loan.

Query Params
string

Possible values are confirm, relock, extend, revise, sellComparisonUpdate and cancel.

string

Optional. View type parameter. Enumerations: entity, id
- When no view parameter is provided, the API will return 204 - No Content with no response body.
- If "id" is specified, the unique identifier of the rate lock request will be returned in the response.
- If "entity" is specified, the entire rateLockContract will be returned in the response.

string

The unique identifier of the existing rate lock request. Required for extend, relock and cancel actions.

string

Determines whether the loan will be updated with lock data after a lock is confirmed. Possible values:
noSync: Does not update the loan with lock data upon lock confirmation.
syncLockToLoan: The default value. Updates the loan with the lock data upon lock confirmation.

boolean

If true, the API will copy current loan data to the corresponding rate lock snapshot fields before confirming the rate lock. Default is false.

boolean

If true, the API will exclude Interest Rate (field ID 3) and will not copy the current value to corresponding Lock Request Base Rate (field ID 2092). Default is false.
Note: True can only be provided in conjunction with action Query Parameters, where action = “confirm”, “sellComparisonUpdate”, or “revise”.

Body Params
string

Unique identifier of the rate lock request.

string

Lock request type. Possible values: lock, re-lock, extension, trade extension, *cancellation

string

Status of the rate lock before there is an action performed on the request. Possible values: not locked, active lock, cancelled lock, expired lock

string

Status of the lock request. Possible values: requested, locked, old lock, old request, expired, cancelled, extension requested, denied, registered, old registration

int32

Indicates the total number of lock days for the request.

string

Date on which the rate lock expires.

requestedBy
object

The entityReferenceContract describing the entity or user who submitted the lock request.

date-time

The date and time when the lock request is created.

date-time

The date and time when lock request was fulfilled.

fulfilledBy
object

The entityReferenceContract describing the entity or user who fulfilled the lock request.

investor
object

Object containing investor information.

date-time

Investor's delivery date.

requestIndicators
array of strings

Flags that indicate the status of the request. Possible values:

  • hideLog - Indicates the lock request log needs to be hidden.
  • fakeRequest - Indicates the lock is created with/out a request.
  • lockExtension - Indicates the lock is extended.
  • lockCancellation - Indicates the lock is cancelled.
  • *reLock - Indicates that the rate lock is re-locked.
requestIndicators
parentLockRequest
object

Object containing attributes that describe the parent lock request.

string

Investor's commitment.

loanInformation
object

Object containing attributes that describe loan information.

lockRequest
object

Object containing attributes that define the lock request.

buySide
object

Object containing buy side information.

sellSide
object

Object containing sell side information.

comparison
object

Object containing comparision information.

customFields
array of objects

Array of objects containing custom fields information.

customFields
boolean

Indicates if voidable.

boolean

Indicates if cancellable.

boolean

Indicate if extendable.

boolean

Indicates if zero par pricing for retail lending is enabled.

boolean

Indicates if zero par pricing for wholesale lending is enabled.

Headers
string
required

Bearer token

Responses

204

No Content (No view parameter provided.)

400

Bad Request

401

Unauthorized

403

Forbidden

404

Not Found

500

Internal Server Error

Language
URL
LoadingLoading…
Response
Choose an example:
application/json